Class UmlBaseActivityDiagram

Declaration :

- C++ : class UmlBaseActivityDiagram : public UmlDiagram
- Java : abstract class UmlBaseActivityDiagram extends UmlDiagram

Directly inherited by : UmlActivityDiagram

Artifact : UmlBaseActivityDiagram

Operation create

returns a new activity diagram named 's' created under 'parent' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlActivityDiagram, exceptions : RuntimeException
- C++ : public: static UmlActivityDiagram * create(UmlItem * parent, const char * s)
- Java : public static UmlActivityDiagram create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseActivityDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityDiagram(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityDiagram(void * id, const QCString & s) : UmlDiagram(id, s)
- Java : protected UmlBaseActivityDiagram(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload